aboutsummaryrefslogtreecommitdiffstats
path: root/core/linux-grsec/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2008-10-30 14:57:11 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2008-10-30 14:57:11 +0000
commit7ae7f5754e7812358de474308fba6b3ce69e7510 (patch)
tree7ae6fb70a422b7f2191b2f3a8313d925a04fdc5f /core/linux-grsec/APKBUILD
parentf4d6ad626ab63c63bcfffea2f42ba6cd420b5c21 (diff)
downloadaports-7ae7f5754e7812358de474308fba6b3ce69e7510.tar.gz
aports-7ae7f5754e7812358de474308fba6b3ce69e7510.tar.bz2
aports-7ae7f5754e7812358de474308fba6b3ce69e7510.tar.xz
new aport: core/linux-grsec
Diffstat (limited to 'core/linux-grsec/APKBUILD')
-rw-r--r--core/linux-grsec/APKBUILD22
1 files changed, 22 insertions, 0 deletions
diff --git a/core/linux-grsec/APKBUILD b/core/linux-grsec/APKBUILD
new file mode 100644
index 0000000000..5431e6fa4a
--- /dev/null
+++ b/core/linux-grsec/APKBUILD
@@ -0,0 +1,22 @@
+pkgname=linux-grsec
+pkgver=2.6.26.7
+_kernver=2.6.26
+arch=i486
+makedepend="$pkgname-sources"
+source="kernelconfig"
+subpackages="mod"
+
+build() {
+ mkdir -p "$srcdir/$pkgname"
+ cd "$srcdir/$pkgname"
+ cp ../kernelconfig .config
+ make -C /usr/src/linux-$pkgver-grsec "O=$PWD" silentoldconfig
+ make || return 1
+
+ mkdir -p $pkgdir/boot $pkgdir/lib/modules
+ make modules_install install \
+ INSTALL_MOD_PATH=$pkgdir \
+ INSTALL_PATH=$pkgdir/boot
+}
+
+md5sums="7bff4dd7b5f8ef83e6a3c2e2e5d5fbec kernelconfig"